package com.hzya.frame.seeyon.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * com.hzya.frame.seeyon.entity
 *
 * @author yqh
 * @date 2023-08 -30 10:45
 */

public class SeeyonEntity extends BaseEntity {
    private String field0026;//合同评审编号
    private String field0001;//关联合同
    private String field0003;//合同编号
    private String field0016;//创建日期
    private String field0002;//合同名称
    private String field0004;//入账公司
    private String field0005;//供应商
    private String field0006;//合同类型
    private String field0015;//合同签订日期
    private String field0009;//合同开始时间
    private String field0010;//合同结束时间
    private String field0012;//是否固定金额
    private String field0013;//合同总金额
    private String field0027;//是否重大合同
    private String field0008;//项目
    private String field0032;//合同附件
    private String field0033;//其他附件
    private String field0034;//业务板块一级
    private String field0035;//合同分类
    private String field0038;//开票信息查询
    private String field0039;//付款信息查询
    private String field0044;//合同数量
    private String field0047;//业务板块二级
    private String field0048;//内容概要与评审理由
    private String field0049;//是否多方
    private String field0050;//是否多项目
    private String field0054;//合同已付金额
    private String field0055;//发票已收金额
    private String field0056;//审批中付款金额
    private String field0057;//审批中已收发票金额
    private String field0017;//行号
    private String field0018;//标的物名称
    private String field0019;//标的物编码
    private String field0021;//规格型号
    private String field0022;//总数量
    private String field0023;//单价
    private String field0024;//不含税金额
    private String field0025;//含税金额
    private String field0036;//税率
    private String field0037;//税务编码
    private String field0040;//已开票数量
    private String field0041;//剩余数量
    private String field0042;//在途数量
    private String field0051;//标的物明细表项目
    private String field0052;//相对方
    private String field0053;//其他相关方名称
    private String tableName;//表名称
    private List<SeeyonEntity> formson_0324;//合同标的物明细(明细表1)
    private List<SeeyonEntity> formson_0352;//  相对方(明细表2)
    private String formmain_id;//主表ID
    private String file_url;//附件ID
    private String sub_reference;//附件管理关系
    private String filename;//附件名称
    private String attachment_size;//文件大小
    private String field0067;//状态
    private String field0066;//业务板块三级
    private String loginName;//登录名
    private String dduid;//钉钉id

    private String field0137;//付款账号
    private String field0264;//CFS电子回单
    private String summary_id;//col_summary表id
    private String name;//姓名
    private String pk_corp;//公司主键
    private String field0120;//OA关联速网U8C主键的字段

    private String field0121;//oa对接erp明细主键
    private String  details_id;//销售订单明细id
    private String da_id;//销售订单档案id

    private String pushField;//杭泰推送标识字段
    private String pushValue;//推送的值
    private String updateTime;
    private String field0066Id;
    private String field0047Id;
    private String field0034Id;
    private String field0103;//钉钉ID

    public String getField0103() {
        return field0103;
    }

    public void setField0103(String field0103) {
        this.field0103 = field0103;
    }

    public String getField0066Id() {
        return field0066Id;
    }

    public void setField0066Id(String field0066Id) {
        this.field0066Id = field0066Id;
    }

    public String getField0047Id() {
        return field0047Id;
    }

    public void setField0047Id(String field0047Id) {
        this.field0047Id = field0047Id;
    }

    public String getField0034Id() {
        return field0034Id;
    }

    public void setField0034Id(String field0034Id) {
        this.field0034Id = field0034Id;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getPushField() {
        return pushField;
    }

    public void setPushField(String pushField) {
        this.pushField = pushField;
    }

    public String getPushValue() {
        return pushValue;
    }

    public void setPushValue(String pushValue) {
        this.pushValue = pushValue;
    }

    public String getDa_id() {
        return da_id;
    }

    public void setDa_id(String da_id) {
        this.da_id = da_id;
    }

    public String getDetails_id() {
        return details_id;
    }

    public void setDetails_id(String details_id) {
        this.details_id = details_id;
    }

    public String getField0121() {
        return field0121;
    }

    public void setField0121(String field0121) {
        this.field0121 = field0121;
    }

    public String getField0120() {
        return field0120;
    }

    public void setField0120(String field0120) {
        this.field0120 = field0120;
    }

    public String getPk_corp() {
        return pk_corp;
    }

    public void setPk_corp(String pk_corp) {
        this.pk_corp = pk_corp;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getField0264() {
        return field0264;
    }

    public void setField0264(String field0264) {
        this.field0264 = field0264;
    }

    public String getSummary_id() {
        return summary_id;
    }

    public void setSummary_id(String summary_id) {
        this.summary_id = summary_id;
    }

    public String getField0137() {
        return field0137;
    }

    public void setField0137(String field0137) {
        this.field0137 = field0137;
    }

    public String getDduid() {
        return dduid;
    }

    public void setDduid(String dduid) {
        this.dduid = dduid;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getField0067() {
        return field0067;
    }

    public void setField0067(String field0067) {
        this.field0067 = field0067;
    }

    public String getAttachment_size() {
        return attachment_size;
    }

    public void setAttachment_size(String attachment_size) {
        this.attachment_size = attachment_size;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getSub_reference() {
        return sub_reference;
    }

    public void setSub_reference(String sub_reference) {
        this.sub_reference = sub_reference;
    }

    public String getFile_url() {
        return file_url;
    }

    public void setFile_url(String file_url) {
        this.file_url = file_url;
    }

    public String getFormmain_id() {
        return formmain_id;
    }

    public void setFormmain_id(String formmain_id) {
        this.formmain_id = formmain_id;
    }

    public List<SeeyonEntity> getFormson_0324() {
        return formson_0324;
    }

    public void setFormson_0324(List<SeeyonEntity> formson_0324) {
        this.formson_0324 = formson_0324;
    }

    public List<SeeyonEntity> getFormson_0352() {
        return formson_0352;
    }

    public void setFormson_0352(List<SeeyonEntity> formson_0352) {
        this.formson_0352 = formson_0352;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getField0026() {
        return field0026;
    }

    public void setField0026(String field0026) {
        this.field0026 = field0026;
    }

    public String getField0001() {
        return field0001;
    }

    public void setField0001(String field0001) {
        this.field0001 = field0001;
    }

    public String getField0003() {
        return field0003;
    }

    public void setField0003(String field0003) {
        this.field0003 = field0003;
    }

    public String getField0016() {
        return field0016;
    }

    public void setField0016(String field0016) {
        this.field0016 = field0016;
    }

    public String getField0002() {
        return field0002;
    }

    public void setField0002(String field0002) {
        this.field0002 = field0002;
    }

    public String getField0004() {
        return field0004;
    }

    public void setField0004(String field0004) {
        this.field0004 = field0004;
    }

    public String getField0005() {
        return field0005;
    }

    public void setField0005(String field0005) {
        this.field0005 = field0005;
    }

    public String getField0006() {
        return field0006;
    }

    public void setField0006(String field0006) {
        this.field0006 = field0006;
    }

    public String getField0015() {
        return field0015;
    }

    public void setField0015(String field0015) {
        this.field0015 = field0015;
    }

    public String getField0009() {
        return field0009;
    }

    public void setField0009(String field0009) {
        this.field0009 = field0009;
    }

    public String getField0010() {
        return field0010;
    }

    public void setField0010(String field0010) {
        this.field0010 = field0010;
    }

    public String getField0012() {
        return field0012;
    }

    public void setField0012(String field0012) {
        this.field0012 = field0012;
    }

    public String getField0013() {
        return field0013;
    }

    public void setField0013(String field0013) {
        this.field0013 = field0013;
    }

    public String getField0027() {
        return field0027;
    }

    public void setField0027(String field0027) {
        this.field0027 = field0027;
    }

    public String getField0008() {
        return field0008;
    }

    public void setField0008(String field0008) {
        this.field0008 = field0008;
    }

    public String getField0032() {
        return field0032;
    }

    public void setField0032(String field0032) {
        this.field0032 = field0032;
    }

    public String getField0033() {
        return field0033;
    }

    public void setField0033(String field0033) {
        this.field0033 = field0033;
    }

    public String getField0034() {
        return field0034;
    }

    public void setField0034(String field0034) {
        this.field0034 = field0034;
    }

    public String getField0035() {
        return field0035;
    }

    public void setField0035(String field0035) {
        this.field0035 = field0035;
    }

    public String getField0038() {
        return field0038;
    }

    public void setField0038(String field0038) {
        this.field0038 = field0038;
    }

    public String getField0039() {
        return field0039;
    }

    public void setField0039(String field0039) {
        this.field0039 = field0039;
    }

    public String getField0044() {
        return field0044;
    }

    public void setField0044(String field0044) {
        this.field0044 = field0044;
    }

    public String getField0047() {
        return field0047;
    }

    public void setField0047(String field0047) {
        this.field0047 = field0047;
    }

    public String getField0048() {
        return field0048;
    }

    public void setField0048(String field0048) {
        this.field0048 = field0048;
    }

    public String getField0049() {
        return field0049;
    }

    public void setField0049(String field0049) {
        this.field0049 = field0049;
    }

    public String getField0050() {
        return field0050;
    }

    public void setField0050(String field0050) {
        this.field0050 = field0050;
    }

    public String getField0054() {
        return field0054;
    }

    public void setField0054(String field0054) {
        this.field0054 = field0054;
    }

    public String getField0055() {
        return field0055;
    }

    public void setField0055(String field0055) {
        this.field0055 = field0055;
    }

    public String getField0056() {
        return field0056;
    }

    public void setField0056(String field0056) {
        this.field0056 = field0056;
    }

    public String getField0057() {
        return field0057;
    }

    public void setField0057(String field0057) {
        this.field0057 = field0057;
    }

    public String getField0017() {
        return field0017;
    }

    public void setField0017(String field0017) {
        this.field0017 = field0017;
    }

    public String getField0018() {
        return field0018;
    }

    public void setField0018(String field0018) {
        this.field0018 = field0018;
    }

    public String getField0019() {
        return field0019;
    }

    public void setField0019(String field0019) {
        this.field0019 = field0019;
    }

    public String getField0021() {
        return field0021;
    }

    public void setField0021(String field0021) {
        this.field0021 = field0021;
    }

    public String getField0022() {
        return field0022;
    }

    public void setField0022(String field0022) {
        this.field0022 = field0022;
    }

    public String getField0023() {
        return field0023;
    }

    public void setField0023(String field0023) {
        this.field0023 = field0023;
    }

    public String getField0024() {
        return field0024;
    }

    public void setField0024(String field0024) {
        this.field0024 = field0024;
    }

    public String getField0025() {
        return field0025;
    }

    public void setField0025(String field0025) {
        this.field0025 = field0025;
    }

    public String getField0036() {
        return field0036;
    }

    public void setField0036(String field0036) {
        this.field0036 = field0036;
    }

    public String getField0037() {
        return field0037;
    }

    public void setField0037(String field0037) {
        this.field0037 = field0037;
    }

    public String getField0040() {
        return field0040;
    }

    public void setField0040(String field0040) {
        this.field0040 = field0040;
    }

    public String getField0041() {
        return field0041;
    }

    public void setField0041(String field0041) {
        this.field0041 = field0041;
    }

    public String getField0042() {
        return field0042;
    }

    public void setField0042(String field0042) {
        this.field0042 = field0042;
    }

    public String getField0051() {
        return field0051;
    }

    public void setField0051(String field0051) {
        this.field0051 = field0051;
    }

    public String getField0052() {
        return field0052;
    }

    public void setField0052(String field0052) {
        this.field0052 = field0052;
    }

    public String getField0053() {
        return field0053;
    }

    public void setField0053(String field0053) {
        this.field0053 = field0053;
    }

    public String getField0066() {
        return field0066;
    }

    public void setField0066(String field0066) {
        this.field0066 = field0066;
    }
}
